import type { ComponentInstance, ManifestData, SSRManifest } from '../../@types/astro.js';
export declare const SERVER_ISLAND_ROUTE = "/_server-islands/[name]";
export declare const SERVER_ISLAND_COMPONENT = "_server-islands.astro";
export declare function ensureServerIslandRoute(manifest: ManifestData): void;
export declare function createEndpoint(manifest: SSRManifest): ComponentInstance;
